Bug 641067 - During repoclsoure, yum-utils may be including an obsoleted dependency
During repoclsoure, yum-utils may be including an obsoleted dependency
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
: 640799 641413 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-07 13:10 EDT by James Laska
Modified: 2014-01-21 18:16 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 16:36:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James Laska 2010-10-07 13:10:21 EDT
Description of problem:

During discussion around a repoclosure problem identified in (bug#640799), some concern surfaced around why repoclosure was 
 1) correctly ignoring an obsoleted package
 2) but later including the obsoleted package during deps resolution

Version-Release number of selected component (if applicable):
 * yum-utils-1.1.28-1.fc14

How reproducible:
 * Likely depends on the contents of the listed repos

Steps to Reproduce:
1. Run repoclosure including F-14 and F-14-updates-testing (as of 2010-10-07)

# repoclosure --tempcache --newest \
  --repofrompath=target,http://download.fedoraproject.org/pub/fedora/linux/updates/testing/14/x86_64 \
  --repoid=target \
  --repofrompath=parent-1,http://download.fedoraproject.org/pub/fedora/linux/updates/14/x86_64 \
  --repoid=parent-1 \
  --repofrompath=parent-2,http://download.fedoraproject.org/pub/fedora/linux/development/14/x86_64/os \
  --repoid=parent-2
  
Actual results:

Full results available at https://fedorahosted.org/pipermail/autoqa-results/2010-October/043951.html

Added repo-1 repo from
http://download.fedoraproject.org/pub/fedora/linux/development/14/x86_64/os
Added repo-2 repo from
http://download.fedoraproject.org/pub/fedora/linux/updates/testing/14/x86_64
Reading in repository metadata - please wait....
Checking Dependencies
Repos looked at: 2
   repo-1
   repo-2
Num Packages in Repos: 22082
package: ruby-cairo-devel-1.8.5-1.fc14.i686 from repo-2
  unresolved deps: 
     ruby-cairo = 0:1.8.5-1.fc14
package: ruby-cairo-devel-1.8.5-1.fc14.x86_64 from repo-2
  unresolved deps: 
     ruby-cairo = 0:1.8.5-1.fc14

Expected results:

According to bug#640799 (comment#11), the above dependency failure was not expected.

Additional info:

Some repoquery commands to help identify the state of packages at the time of the repoclosure result.

# repoquery  -q ruby*cairo*
ruby-cairo-0:1.10.0-2.fc14.x86_64
ruby-cairo-devel-0:1.8.5-1.fc14.i686
ruby-cairo-devel-0:1.8.5-1.fc14.x86_64
rubygem-cairo-0:1.10.0-2.fc14.x86_64
rubygem-cairo-devel-0:1.10.0-2.fc14.i686
rubygem-cairo-devel-0:1.10.0-2.fc14.x86_64
rubygem-cairo-doc-0:1.10.0-2.fc14.x86_64

# repoquery -q --whatprovides ruby-cairo
ruby-cairo-0:1.10.0-2.fc14.x86_64
ruby-cairo-0:1.10.0-2.fc14.x86_64
ruby-cairo-0:1.8.5-1.fc14.x86_64
ruby-cairo-0:1.8.5-1.fc14.x86_64

# repoquery  -q --qf "%{SOURCERPM}" ruby-cairo-1.10.0-2.fc14
rubygem-cairo-1.10.0-2.fc14.src.rpm

# repoquery -q --whatprovides ruby-cairo-devel
ruby-cairo-devel-0:1.8.5-1.fc14.i686
ruby-cairo-devel-0:1.8.5-1.fc14.x86_64
ruby-cairo-devel-0:1.8.5-1.fc14.x86_64
rubygem-cairo-devel-0:1.10.0-2.fc14.i686
rubygem-cairo-devel-0:1.10.0-2.fc14.x86_64
ruby-cairo-devel-0:1.8.5-1.fc14.x86_64
ruby-cairo-devel-0:1.8.5-1.fc14.i686
ruby-cairo-devel-0:1.8.5-1.fc14.i686

# repoquery -q --obsoletes rubygem-cairo
# repoquery -q --obsoletes rubygem-cairo-devel
ruby-cairo-devel < 1.9
ruby-cairo-devel < 1.9


(In reply to comment #11)
> This is what repoclosure prints with debug code not commented out:
> 
> | ignoring obsolete pkg ruby-cairo-devel-1.8.5-1.fc14.i686
> | ('rubygem-cairo-devel', 'i686', '0', '1.10.0', '2.fc14')
> 
> Later it looks at the package nevertheless. Could also be a problem in Yum or
> Yum API usage, packageSack delPackage method.
> 
> | package: ruby-cairo-devel-1.8.5-1.fc14.i686 from updates-testing
> |   unresolved deps: 
> |      ruby-cairo = 0:1.8.5-1.fc14
Comment 1 Mamoru TASAKA 2010-10-08 12:19:40 EDT
*** Bug 641413 has been marked as a duplicate of this bug. ***
Comment 2 Mamoru TASAKA 2010-10-11 15:06:20 EDT
*** Bug 640799 has been marked as a duplicate of this bug. ***
Comment 3 Fedora End Of Life 2012-08-16 16:36:35 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.